<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
    %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="WEB-INF/tags" prefix="tags" %>
<tags:htmlWrapper title="Categories" style="stylesheet2.css">
<c:set var="parentCategory" value="${model.category.parentCategory}" />
<h1>Category: <!--  <a href="browseSub.do?category=${parentCategory.id}">
								${parentCategory.name}</a>,  -->${model.category.name}</h1>
<c:choose>
	<c:when test="${model.loggedIn}">
		<p align="right">
		<a href="logout.do">Logout</a><br/></p>
		<hr/>
	</c:when>
	<c:otherwise>
		<hr/>
		<a href="login.do">Login</a><br/>
		<a href="register.do">Register as a new customer</a><br/>
	</c:otherwise>
</c:choose>
<a href="welcome.do">Welcome Page</a><br/>
<a href="view_cart.do">View Cart</a><br/>

<c:set var="subCategories" value="${model.subCategories}"/>
<c:if test="${not empty subCategories}">
	<p>Browse subcategories:</p>
	<ul>
		<c:forEach items="${subCategories}" var="subCategory">
			<li><a href="browseSub.do?category=${subCategory.id}">${subCategory.name}</a></li>
		</c:forEach>
	</ul>
</c:if>
<br />

<c:set var="featuredBooks" value="${model.featuredBooks}"/>
<c:if test="${not empty featuredBooks}">
	<p>Our recommendations:</p>
	<ul>
		<c:forEach items="${featuredBooks}" var="feature">
			<li><a href="display.do?featured=true&id=${feature.id}">${feature.title}</a></li>
		</c:forEach>
	</ul>
	<br />
</c:if>

<c:set var="categoryBooks" value="${model.categoryBooks}" />
<c:if test="${not empty categoryBooks}">
	<table>
	<tr><td width="20"></td>
	<td>
	<table>
		<tr>
			<th width="300" align="left">Available books:</th>
			<td align="center">Books per page:<br />
				<select name="booksPerPage" size="1">
					<c:forEach items="${model.booksPerPage}" var="curr">
						<c:if test="${curr == model.actualBooksPerPage}">
							<c:set var="selected" value="selected=\"selected\"" />
						</c:if>
						<option onmousedown="top.location.href='changeBooksPerPage.do?page=${currentPage}&bPP=${curr}'" ${selected}>${curr}</option>
						<c:remove var="selected" />
					</c:forEach>
				</select>
 			</td>
		</tr>
		<tr  bgcolor="black" height="5"></tr>
		<c:forEach items="${categoryBooks}" var="book">
			<tr>
			<td><a href="display.do?id=${book.id}">${book.title}</a></td><td></td>
			</tr>
		</c:forEach>
		<tr>
			<td>&nbsp;</td>
			<td align="center">
				<c:set var="numPages" value="${model.numberOfPages}" />
				<c:if test="${currentPage != 1}">
					<a href="goToPage.do?page=${currentPage-1}">previous</a>&nbsp;
				</c:if>
				<c:forEach items="${numPages}" var="pageNumber">
				<c:choose>
					<c:when test="${currentPage != pageNumber}">
						<a href="goToPage.do?page=${pageNumber}">${pageNumber}</a>
					</c:when>
					<c:otherwise>
						${pageNumber}
					</c:otherwise>
				</c:choose>
				</c:forEach>	
				<c:if test="${currentPage != fn:length(numPages)}">
					&nbsp;<a href="goToPage.do?page=${currentPage+1}">next</a>
				</c:if>
			</td>
		</tr>
	</table>
	</td>
	</table>
	<br />
</c:if>

<form method="POST" action="search.do">
	Search for a book: <input type="text" name="book_name">
	<br />
	<input type="submit" value="Search"/>
</form>
</tags:htmlWrapper>